Automatic import for version 4.6.5

This commit is contained in:
Rosa 2012-02-01 15:17:26 +04:00
commit 7918838c1c
20 changed files with 6856 additions and 0 deletions

2
.abf.yml Normal file
View file

@ -0,0 +1,2 @@
sources:
"kdebase-workspace-4.6.5.tar.bz2": bdcdbf235b3e3941b968f57afd3d490e7ca106e5

7
kde-np.pam Normal file
View file

@ -0,0 +1,7 @@
#%PAM-1.0
auth required pam_env.so
auth required pam_permit.so
account include system-auth
password include system-auth
session include system-auth
session optional pam_console.so

8
kde.pam Normal file
View file

@ -0,0 +1,8 @@
#%PAM-1.0
auth include system-auth
auth required pam_nologin.so
account include system-auth
password include system-auth
session include system-auth
session optional pam_console.so
session required pam_namespace.so

View file

@ -0,0 +1,28 @@
--- ksmserver/startup.cpp 2008-04-10 06:30:10.000000000 -0300
+++ ksmserver/startup.cpp.new 2008-10-03 08:02:45.000000000 -0300
@@ -328,7 +328,14 @@
kcminit.runPhase2();
if( !defaultSession())
restoreLegacySession(KGlobal::config().data());
- KNotification::event( "startkde" , QString() , QPixmap() , 0l , KNotification::DefaultEvent ); // this is the time KDE is up, more or less
+ KNotification *n = KNotification::event( "startkde" , QString() , QPixmap() , 0l , KNotification::DefaultEvent ); // this is the time KDE is up, more or less
+ connect(n, SIGNAL( closed() ) , this, SLOT(startupSoundFinished()) );
+
+}
+
+void KSMServer::startupSoundFinished()
+{
+ kDebug( 1218 ) << "Startup event finished";
}
void KSMServer::runUserAutostart()
--- ksmserver/server.h 2008-04-10 06:30:10.000000000 -0300
+++ ksmserver/server.h.new 2008-10-03 08:02:28.000000000 -0300
@@ -133,6 +133,7 @@
void startupSuspendTimeout();
void wmProcessChange();
void logoutSoundFinished();
+ void startupSoundFinished();
void autoStart0Done();
void autoStart1Done();
void autoStart2Done();

View file

@ -0,0 +1,24 @@
diff -p -up kdebase-workspace-4.2.0/kcontrol/krdb/krdb.cpp.fix_gtkrc kdebase-workspace-4.2.0/kcontrol/krdb/krdb.cpp
--- kdebase-workspace-4.2.0/kcontrol/krdb/krdb.cpp.fix_gtkrc 2009-01-06 15:22:09.000000000 -0200
+++ kdebase-workspace-4.2.0/kcontrol/krdb/krdb.cpp 2009-02-03 14:31:15.000000000 -0200
@@ -88,6 +88,20 @@ static void applyGtkStyles(bool active,
QByteArray gtkrc = getenv(gtkEnvVar(version));
QStringList list = QFile::decodeName(gtkrc).split( ':');
QString userHomeGtkrc = QDir::homePath()+userGtkrc(version);
+
+ // check if using IaOra
+ KConfig cfg("kdeglobals");
+ KConfigGroup grp = cfg.group("General");
+ QString style = grp.readEntry("widgetStyle");
+ if((style.toLower() =="iaora-qt") || (style.toLower() == "iaorakde"))
+ {
+ // if we are using IaOra, the gtkrc file created here should be removed
+ if (QFile::exists(gtkkde))
+ QFile::remove(gtkkde);
+
+ return;
+ }
+
if (!list.contains(userHomeGtkrc))
list.prepend(userHomeGtkrc);
QLatin1String systemGtkrc = QLatin1String(sysGtkrc(version));

View file

@ -0,0 +1,26 @@
Index: plasma/desktop/applets/kickoff/applet/plasma-applet-launcher.desktop
===================================================================
--- plasma/desktop/applets/kickoff/applet/plasma-applet-launcher.desktop
+++ plasma/desktop/applets/kickoff/applet/plasma-applet-launcher.desktop 2010-06-28 22:47:39.000000000 +0200
@@ -155,7 +155,7 @@
Comment[x-test]=xxLauncher to start applicationsxx
Comment[zh_CN]=应用程序的启动器
Comment[zh_TW]=應用程式啟動器
-Icon=start-here-kde
+Icon=mdvbutton
Type=Service
X-KDE-ServiceTypes=Plasma/Applet
Index: plasma/desktop/applets/kickoff/simpleapplet/plasma-applet-simplelauncher.desktop
===================================================================
--- plasma/desktop/applets/kickoff/simpleapplet/plasma-applet-simplelauncher.desktop
+++ plasma/desktop/applets/kickoff/simpleapplet/plasma-applet-simplelauncher.desktop 2010-06-28 22:48:03.000000000 +0200
@@ -144,7 +144,7 @@
Comment[x-test]=xxTraditional menu based application launcherxx
Comment[zh_CN]=基于菜单的传统程序启动器
Comment[zh_TW]=傳統選單式的應用程式啟動器
-Icon=start-here-kde
+Icon=mdvbutton
Type=Service
X-KDE-ServiceTypes=Plasma/Applet
X-KDE-Library=plasma_applet_simplelauncher

View file

@ -0,0 +1,81 @@
diff -up kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.cpp.plasma-konsole kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.cpp
--- kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.cpp.plasma-konsole 2010-01-31 13:30:37.000000000 -0600
+++ kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.cpp 2010-01-31 19:19:23.000000000 -0600
@@ -30,6 +30,7 @@
#include <KDebug>
#include <KIcon>
#include <KMenu>
+#include <ktoolinvocation.h>
#include <Plasma/Containment>
#include <Plasma/Corona>
@@ -46,6 +47,7 @@
ContextMenu::ContextMenu(QObject *parent, const QVariantList &args)
: Plasma::ContainmentActions(parent, args),
+ m_runKonsoleAction(0),
m_runCommandAction(0),
m_lockScreenAction(0),
m_logoutAction(0),
@@ -77,8 +79,8 @@ void ContextMenu::init(const KConfigGrou
defaultEnabled << true << true << true << true << true;
} else {
//FIXME ugly code!
- m_allActions << "_context" << "_run_command" << "add widgets" << "_add panel" << "add sibling containment" << "remove" << "lock widgets" << "zoom in" << "zoom out" << "_sep1" << "_lock_screen" << "_logout" << "_sep2" << "configure" << "configure shortcuts" << "_sep3" << "_wallpaper";
- defaultEnabled << true << true << true << true << false << true << true << false << false << true << true << true << true << true << false << true << true;
+ m_allActions << "_context" << "_run_konsole" << "_run_command" << "add widgets" << "_add panel" << "add sibling containment" << "remove" << "lock widgets" << "zoom in" << "zoom out" << "_sep1" << "_lock_screen" << "_logout" << "_sep2" << "configure" << "configure shortcuts" << "_sep3" << "_wallpaper";
+ defaultEnabled << true << true << true << true << true << false << true << true << false << false << true << true << true << true << true << false << true << true;
}
for (int i = 0; i < m_allActions.count(); ++i) {
@@ -95,6 +97,10 @@ void ContextMenu::init(const KConfigGrou
//panel does its own config action atm... FIXME how do I fit it in properly?
//can I do something with configureRequested? damn privateslot...
} else {
+ m_runKonsoleAction = new QAction(i18n("Konsole"), this);
+ m_runKonsoleAction->setIcon(KIcon("utilities-terminal"));
+ connect(m_runKonsoleAction, SIGNAL(triggered(bool)), this, SLOT(runKonsole()));
+
m_runCommandAction = new QAction(i18n("Run Command..."), this);
m_runCommandAction->setIcon(KIcon("system-run"));
connect(m_runCommandAction, SIGNAL(triggered(bool)), this, SLOT(runCommand()));
@@ -179,6 +185,8 @@ QAction *ContextMenu::action(const QStri
if (c->corona() && c->corona()->immutability() == Plasma::Mutable) {
return c->corona()->action("add panel");
}
+ } else if (name == "_run_konsole") {
+ return m_runKonsoleAction;
} else if (name == "_run_command") {
if (KAuthorized::authorizeKAction("run_command")) {
return m_runCommandAction;
@@ -198,6 +206,11 @@ QAction *ContextMenu::action(const QStri
return 0;
}
+void ContextMenu::runKonsole()
+{
+ KToolInvocation::invokeTerminal(QString(), QDir::homePath());
+}
+
void ContextMenu::runCommand()
{
if (!KAuthorized::authorizeKAction("run_command")) {
diff -up kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.h.plasma-konsole kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.h
--- kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.h.plasma-konsole 2010-01-31 13:30:37.000000000 -0600
+++ kdebase-workspace-4.3.98/plasma/generic/containmentactions/contextmenu/menu.h 2010-01-31 19:17:49.000000000 -0600
@@ -41,12 +41,14 @@ public:
void save(KConfigGroup &config);
public slots:
+ void runKonsole();
void runCommand();
void lockScreen();
void startLogout();
void logout();
private:
+ QAction *m_runKonsoleAction;
QAction *m_runCommandAction;
QAction *m_lockScreenAction;
QAction *m_logoutAction;

View file

@ -0,0 +1,62 @@
Index: kdm/config.def
===================================================================
--- kdm/config.def
+++ kdm/config.def 2010-03-08 09:21:56.000000000 +0100
@@ -32,6 +32,8 @@
#define KDMCONF KDE_CONFDIR "/kdm"
#define KDMDATA KDE_DATADIR "/kdm"
+#define MDVX11_CONF "/usr/share/X11/xdm"
+
#include <sys/param.h> /* for #define BSD */
#ifdef _AIX
Index: kdm/kfrontend/genkdmconf.c
===================================================================
--- kdm/kfrontend/genkdmconf.c
+++ kdm/kfrontend/genkdmconf.c 2010-03-08 09:24:06.000000000 +0100
@@ -1777,7 +1777,7 @@
else
linkFile( ce );
} else {
- ce->value = KDMCONF "/Xsetup";
+ ce->value = MDVX11_CONF "/Xsetup";
ce->active = ce->written = True;
writeFile( ce->value, 0755, def_setup );
}
@@ -1858,7 +1858,7 @@
else
linkFile( ce );
} else {
- ce->value = KDMCONF "/Xstartup";
+ ce->value = MDVX11_CONF "/Xstartup";
ce->active = ce->written = True;
writeFile( ce->value, 0755, def_startup );
}
@@ -1903,7 +1903,7 @@
else
linkFile( ce );
} else {
- ce->value = KDMCONF "/Xreset";
+ ce->value = MDVX11_CONF "/Xreset";
ce->active = ce->written = True;
writeFile( ce->value, 0755, def_reset );
}
@@ -1926,7 +1926,7 @@
"`tempfile`" :
"$HOME/.xsession-env-$DISPLAY";
ASPrintf( &def_session, "%s%s%s", def_session1, tmpf, def_session2 );
- ce->value = KDMCONF "/Xsession";
+ ce->value = MDVX11_CONF "/Xsession";
ce->active = ce->written = True;
writeFile( ce->value, 0755, def_session );
}
@@ -2485,7 +2485,7 @@
static FDefs kdmdefs_all[] = {
#ifdef XDMCP
-{ "Xdmcp", "Xaccess", "%s/kdm/Xaccess", 0 },
+{ "Xdmcp", "Xaccess", "%s/kdm/Xaccess", 0 },
{ "Xdmcp", "Willing", "", 0 },
#endif
{ "X-*-Core", "Setup", "", 0 },

View file

@ -0,0 +1,20 @@
--- plasma/desktop/applets/kickoff/simpleapplet/simpleapplet.cpp.old 2010-06-21 00:22:43.000000000 +0200
+++ plasma/desktop/applets/kickoff/simpleapplet/simpleapplet.cpp 2010-06-21 00:24:06.000000000 +0200
@@ -338,7 +338,7 @@
//(if SimpleLauncher was never used before)
}
default: { //Default configuration
- d->viewtypes << "RecentlyUsedApplications" << "Applications" << "Favorites";
+ d->viewtypes << "RecentlyUsedApplications" << "Applications" << "Favorites" << "RecentlyUsed" ;
if (KAuthorized::authorize("run_command")) {
d->viewtypes << "RunCommand";
}
@@ -924,7 +924,7 @@
d->formattype = (MenuLauncherApplet::FormatType) fte.keyToValue(ftb);
d->setMaxRecentApps(cg.readEntry("maxRecentApps", qMin(5, Kickoff::RecentApplications::self()->maximum())));
- d->showMenuTitles = cg.readEntry("showMenuTitles", false);
+ d->showMenuTitles = cg.readEntry("showMenuTitles", true);
d->icon->setIcon(KIcon(cg.readEntry("icon", d->iconname)));

View file

@ -0,0 +1,215 @@
--- kcontrol/colors/CMakeLists.txt.notify_color_changes 2010-02-17 19:11:31.000000000 +0100
+++ kcontrol/colors/CMakeLists.txt 2010-10-07 10:49:59.000000000 +0200
@@ -1,6 +1,6 @@
KDE4_NO_ENABLE_FINAL(colors)
-set(kcm_colors_PART_SRCS ../krdb/krdb.cpp colorscm.cpp previewwidget.cpp setpreviewwidget.cpp)
+set(kcm_colors_PART_SRCS ../krdb/krdb.cpp colorscm.cpp previewwidget.cpp setpreviewwidget.cpp kipc.cpp)
kde4_add_ui_files(kcm_colors_PART_SRCS colorsettings.ui preview.ui setpreview.ui)
--- kcontrol/colors/colorscm.cpp.notify_color_changes 2010-09-21 18:31:16.000000000 +0200
+++ kcontrol/colors/colorscm.cpp 2010-10-07 10:55:28.000000000 +0200
@@ -19,6 +19,7 @@
*/
#include "colorscm.h"
+#include "kipc.h"
#include "../krdb/krdb.h"
@@ -1233,6 +1234,9 @@
runRdb(KRdbExportQtColors | ( applyToAlien->isChecked() ? KRdbExportColors : 0 ) );
emit changed(false);
+
+ // send an event to the root window telling that the colors have changed
+ KIPC::sendMessageAll(KIPC::PaletteChanged);
}
void KColorCm::defaults()
--- kcontrol/colors/kipc.cpp.notify_color_changes 2010-10-07 10:49:59.000000000 +0200
+++ kcontrol/colors/kipc.cpp 2010-10-07 10:49:59.000000000 +0200
@@ -0,0 +1,100 @@
+/* This file is part of the KDE libraries
+
+ Copyright (C) 1999 Mattias Ettrich (ettrich@kde.org)
+ Copyright (C) 1999,2000 Geert Jansen <jansen@kde.org>
+
+ This library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Library General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later version.
+
+ This library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Library General Public License for more details.
+
+ You should have received a copy of the GNU Library General Public License
+ along with this library; see the file COPYING.LIB. If not, write to
+ the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ Boston, MA 02110-1301, USA.
+*/
+
+
+/*
+ * kipc.cpp: Send a message to one/all KDE apps.
+ *
+ * $Id: kipc.cpp 482239 2005-11-22 08:32:28Z coolo $
+ */
+#include "kipc.h"
+#include <QX11Info>
+
+#if defined Q_WS_X11
+#include <X11/X.h>
+#include <X11/Xlib.h>
+#endif
+
+
+
+#if defined Q_WS_X11
+static long getSimpleProperty(Window w, Atom a)
+{
+ Atom real_type;
+ int format;
+ unsigned long n, extra, res = 0;
+ int status;
+ unsigned char *p = 0;
+
+ status = XGetWindowProperty(QX11Info::display(), w, a, 0L, 1L, False, a,
+ &real_type, &format, &n, &extra, &p);
+ if ((status == Success) && (n == 1) && (format == 32))
+ res = *(unsigned long*)p;
+ if (p) XFree(p);
+ return res;
+}
+#endif
+
+void KIPC::sendMessage(Message msg, WId w, int data)
+{
+#if defined Q_WS_X11
+ static Atom a = 0;
+ if (a == 0)
+ a = XInternAtom(QX11Info::display(), "KIPC_COMM_ATOM", False);
+ XEvent ev;
+ ev.xclient.type = ClientMessage;
+ ev.xclient.display = QX11Info::display();
+ ev.xclient.window = (Window) w;
+ ev.xclient.message_type = a;
+ ev.xclient.format = 32;
+ ev.xclient.data.l[0] = msg;
+ ev.xclient.data.l[1] = data;
+ XSendEvent(QX11Info::display(), (Window) w, False, 0L, &ev);
+
+#endif
+}
+
+
+void KIPC::sendMessageAll(Message msg, int data)
+{
+#if defined Q_WS_X11
+ unsigned int i, nrootwins;
+ Window dw1, dw2, *rootwins = 0;
+ Display *dpy = QX11Info::display();
+ int screen_count = ScreenCount(dpy);
+
+ for (int s = 0; s < screen_count; s++)
+ {
+ Window root = RootWindow(dpy, s);
+
+ XQueryTree(dpy, root, &dw1, &dw2, &rootwins, &nrootwins);
+ Atom a = XInternAtom(QX11Info::display(), "KDE_DESKTOP_WINDOW", False);
+ for (i = 0; i < nrootwins; i++)
+ {
+ if (getSimpleProperty(rootwins[i], a) != 0L)
+ sendMessage(msg, rootwins[i], data);
+ }
+ XFree((char *) rootwins);
+ }
+ XSync(dpy,False);
+#endif
+}
+
--- kcontrol/colors/kipc.h.notify_color_changes 2010-10-07 10:49:59.000000000 +0200
+++ kcontrol/colors/kipc.h 2010-10-07 10:49:59.000000000 +0200
@@ -0,0 +1,79 @@
+/* This file is part of the KDE libraries
+
+ Copyright (C) 1999 Mattias Ettrich (ettrich@kde.org)
+ Copyright (C) 1999,2000 Geert Jansen <jansen@kde.org>
+
+ This library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Library General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later version.
+
+ This library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Library General Public License for more details.
+
+ You should have received a copy of the GNU Library General Public License
+ along with this library; see the file COPYING.LIB. If not, write to
+ the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ Boston, MA 02110-1301, USA.
+*/
+
+#ifndef __KIPC_h_Included__
+#define __KIPC_h_Included__
+
+/**
+ * This class implements a very simple IPC mechanism for KDE. You can send
+ * a message of a predefined type to either a specific application, or to all
+ * KDE application on the current display. The message can carry one integer of
+ * data.
+ *
+ * KIPC is mainly used in KDE for sending "Change Messages", i.e. a message to
+ * all KDE apps that a certain setting (the font, for example) has changed.
+ * For anything more complex it is recommended to use DCOP -- the Desktop
+ * Communications Protocol.
+ *
+ * Messages with id code < 32 are called "System Messages". These are
+ * directly handled by KApplication. Examples are: PaletteChanged and
+ * StyleChanged. Messages with id code >= 32 are user messages. KApplication
+ * emits the signal kipcMessage(id,arg) for each user message it receives.
+ *
+ * KIPC is implemented using X11 ClientMessage events.
+ *
+ * @see KApplication::kipcMessage()
+ * @author Geert Jansen <jansen@kde.org>
+ */
+
+#include <QWidget>
+
+class KIPC
+{
+public:
+ /**
+ * A identifier for messages. Messages below UserMessage are system
+ * messages, messages above can be defined by the user.
+ */
+ enum Message { PaletteChanged=0, FontChanged, StyleChanged,
+ BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged,
+ ClipboardConfigChanged, /// @since 3.1
+ BlockShortcuts, /// @since 3.5
+ UserMessage=32 };
+
+ /**
+ * Send a message to a specific application.
+ *
+ * @param msg The message to send.
+ * @param w The window id of a toplevel window of the target application.
+ * @param data An optional integer of data.
+ */
+ static void sendMessage(Message msg, WId w, int data=0);
+
+ /**
+ * Send a message to all KDE application on the current display.
+ *
+ * @param msg The message to send.
+ * @param data An optional integer of data.
+ */
+ static void sendMessageAll(Message msg, int data=0);
+};
+#endif

View file

@ -0,0 +1,19 @@
--- kinfocenter/Modules/usbview/usbdb.cpp.mdv 2010-11-18 17:26:26.000000000 +0100
+++ kinfocenter/Modules/usbview/usbdb.cpp 2010-11-18 17:28:43.000000000 +0100
@@ -20,7 +20,7 @@
#include <kstandarddirs.h>
USBDB::USBDB() {
- QString db = "/usr/share/hwdata/usb.ids"; /* on Fedora */
+ QString db = "/usr/share/usb.ids"; /* on Mandriva */
if (!QFile::exists(db))
db = KStandardDirs::locate("data", "kcmusb/usb.ids");
if (db.isEmpty())
--- kinfocenter/Modules/usbview/CMakeLists.txt.mdv_ldetect 2010-11-19 02:35:21.000000000 +0100
+++ kinfocenter/Modules/usbview/CMakeLists.txt 2010-11-19 02:35:32.000000000 +0100
@@ -17,4 +17,4 @@
########### install files ###############
install( FILES kcmusb.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
-install( FILES usb.ids DESTINATION ${DATA_INSTALL_DIR}/kcmusb )
+#install( FILES usb.ids DESTINATION ${DATA_INSTALL_DIR}/kcmusb )

File diff suppressed because it is too large Load diff

3608
kdebase4-workspace.spec Normal file

File diff suppressed because it is too large Load diff

119
krandrtray.desktop Normal file
View file

@ -0,0 +1,119 @@
[Desktop Entry]
Encoding=UTF-8
Name=KRandRTray
Name[hu]=Képernyőfelbontás
Name[pt_BR]=Ícone do KRandR
Name[sv]=Krandrtray
Name[vi]=Khay KRandR
GenericName=Screen Resize & Rotate
GenericName[af]=Skerm Hervergroot & Roteer
GenericName[bg]=Размер и ротация на екрана
GenericName[bn]=
GenericName[br]=Adventañ ha treiñ ar skramm
GenericName[bs]=Veličina i rotacija ekrana
GenericName[ca]=Amida i gira la pantalla
GenericName[cs]=Změna velikosti a rotace obrazovky
GenericName[cy]=Newid Maint a Cylchdroi'r Sgrîn
GenericName[da]=Ændr størrelse på skærm & Rotér
GenericName[de]=Bildschirmgröße & -ausrichtung ändern
GenericName[el]=Αλλαγή μεγέθους & Περιστροφή οθόνης
GenericName[es]=Redimensionar y rotar pantalla
GenericName[et]=Ekraani suuruse muutmine ja pööramine
GenericName[eu]=Pantailaren tamaina aldaketa eta biraketa
GenericName[fi]=Näytön kuvan koon muuttaminen ja kuvan kääntäminen
GenericName[fr]=Redimensionnement et rotation de l'écran
GenericName[fy]=Skerm rotearje en grutte wizigje
GenericName[gl]=Rotazón e Redimensionamento da Pantallla
GenericName[he]=שינוי גודל המסך וסיבובו
GenericName[hr]=Veličine i orijentacija zaslona
GenericName[hu]=Képernyőbeállító
GenericName[is]=Stærð og snúningur skjáa
GenericName[it]=Ruota e ridimensiona lo schermo
GenericName[ja]=
GenericName[km]= &
GenericName[lt]=Ekrano dydžio keitimas ir pasukimas
GenericName[mk]=Големина и ротација на екранот
GenericName[ms]=Saiz Semula Skrin & Putar
GenericName[nb]=Endre størrelsen på og rotere skjermbildet
GenericName[nds]=Schirmgrött un -utrichten ännern
GenericName[nl]=Scherm roteren en grootte wijzigen
GenericName[nn]=Endra storleiken på og roter skjermbiletet
GenericName[pa]=
GenericName[pl]=Obrót i zmiana rozmiaru ekranu
GenericName[pt]=Mudar o Tamanho e Rodar o Ecrã
GenericName[pt_BR]=Redimensionar Tela & Rotacionar
GenericName[ro]=Redimensionare şi rotire ecran
GenericName[ru]=Изменение размера и ориентации экрана
GenericName[rw]=Kuhindura ingano & Kuzengurutsa Mugaragaza
GenericName[se]=Rievdat šearbmagova sturrodaga ja jorat dan
GenericName[sk]=Zmena veľkosti a otočenia obrazovky
GenericName[sl]=Spreminjanje velikosti in obračanje zaslona
GenericName[sr]=Промена величине и ротација екрана
GenericName[sr@Latn]=Promena veličine i rotacija ekrana
GenericName[sv]=Ändra skärmstorlek och rotera
GenericName[ta]=ி &
GenericName[tg]=Тағйири андоза & Гардиш
GenericName[th]=
GenericName[tr]=Ekran Boyutlandır ve Döndür
GenericName[tt]=Küräk Ülçäme & Borılışı
GenericName[uk]=Зміна розміру та обертання екрана
GenericName[uz]=Экранинг ўлчамини ўзгартириш ва буриш
GenericName[vi]=Thay đi c màn hình & Quay
GenericName[zh_CN]=
GenericName[zh_TW]=調
Comment=Resize and rotate X screens.
Comment[af]=Hervergroot en roteer X skerms.
Comment[bg]=Размер и ротация на екрана.
Comment[bn]= -- ি ি ি
Comment[bs]=Podesite veličinu i rotirajte vaš ekran.
Comment[ca]=Gira i amida les pantalles X
Comment[cs]=Změna velikosti a rotace obrazovky.
Comment[da]=Ændrer størrelse og roterer X-skærme
Comment[de]=Die Größe und Ausrichtung der Anzeige ändern
Comment[el]=Αλλαγή μεγέθους και περιστροφή της οθόνης.
Comment[es]=Ajustar el tamaño y rotar las pantallas X
Comment[et]=X'i ekraani muutmine ja pööramine
Comment[eu]=Aldatu tamaina eta biratu zure X pantailak.
Comment[fi]=Näytön kuvan koon muuttaminen ja kuvan kääntäminen
Comment[fr]=Redimensionner et retourner votre affichage.
Comment[fy]=Skermgrutte wizigje en rotearje X skermen
Comment[ga]=Athraigh an méid agus rothlaigh scáileáin X.
Comment[gl]=Redimensionar e rotar pantallas
Comment[he]=שנה את גודלה של התצוגה שלך וסובב אותה.
Comment[hr]=Promjena veličine i orijentacije X zaslona
Comment[hu]=A képernyő átméretezése, elforgatása
Comment[is]=Breyta stærð skjásins og snúa honum.
Comment[it]=Ridimensiona e ruota gli schermi di X.
Comment[ja]=X
Comment[km]= X 
Comment[lt]=Keisti X ekrano dydį ir orientaciją.
Comment[mk]=Сменете ја големината и ротацијата на вашиот екран
Comment[nb]=Endrer størrelsen på og roterer X-skjermbildet
Comment[nds]=Grött un Utrichten vun den X-Schirm ännern
Comment[nl]=Scherm roteren en van grootte veranderen
Comment[nn]=Endra storleiken på og roter X-skjermbiletet.
Comment[pa]=X -
Comment[pl]=Zmiana rozmiaru i orientacji ekranów.
Comment[pt]=Redimensionar e rodar os ecrãs do X.
Comment[pt_BR]=Redimensiona e rotaciona as tela do X.
Comment[ru]=Изменение размера и ориентации экранов X.
Comment[se]=Rievdat X-šearpmaid sturrodaga ja joraheami.
Comment[sk]=Zmení veľkosť a otočí obrazovky
Comment[sl]=Spremenite velikost in obrnite zaslon.
Comment[sr]=Промените величину и оријентацију екрана
Comment[sr@Latn]=Promenite veličinu i orijentaciju ekrana
Comment[sv]=Storleksändring och rotation av X-skärmar.
Comment[tg]=Тағйири андоза ва гардиши экранҳо Х.
Comment[th]= X
Comment[tr]=Ekranı boyutlandır ve çevir.
Comment[uk]=Зміна розміру та обертання екранів X.
Comment[uz]=Экранинг ўлчамини ўзгартириш ва буриш
Comment[vi]=Đi c và quay màn hình X.
Comment[zh_CN]= X
Comment[zh_TW]=調 X
Exec=krandrtray
Icon=randr
Type=Application
OnlyShowIn=KDE;
Categories=Qt;KDE;System;
X-KDE-autostart-condition=krandrrc:General:AutoStart:true

BIN
login-active.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.3 KiB

BIN
login-disabled.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.2 KiB

BIN
login-normal.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.3 KiB

BIN
login-prelight.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.4 KiB

498
mandriva-startkde Executable file
View file

@ -0,0 +1,498 @@
#!/bin/sh
#
# DEFAULT KDE STARTUP SCRIPT ( 4.4.3 )
#
if test "x$1" = x--failsafe; then
KDE_FAILSAFE=1 # General failsafe flag
KWIN_COMPOSE=N # Disable KWin's compositing
export KWIN_COMPOSE KDE_FAILSAFE
fi
# make the debug output prettier
export KDE_COLOR_DEBUG=1
export QTEST_COLORED=1
# When the X server dies we get a HUP signal from xinit. We must ignore it
# because we still need to do some cleanup.
trap 'echo GOT SIGHUP' HUP
# Workaround of bko200301 we need to call the update script manually
# kconfig_update won't run as we update kde with kde open most of the time
UPDATE=`kreadconfig --group "Mandriva" --key "Update4.2-4.3" --default "false"`
if [ "$UPDATE" = "false" ]; then
if [ -f "LIBDIR/kconf_update_bin/plasma-to-plasma-desktop" ]; then
LIBDIR/kconf_update_bin/plasma-to-plasma-desktop
fi
kwriteconfig --group "Mandriva" --key "Update4.2-4.3" --type "bool" 1
fi
# first, migrate settings from kde3, if available
MIGRATE=`kreadconfig --group "Mandriva" --key "MigrateConf" --default "false"`
if [ "$MIGRATE" = "false" ]; then
if test -x /usr/bin/kde4-migrate; then
/usr/bin/kde4-migrate || true
kwriteconfig --group "Mandriva" --key "MigrateConf" --type "bool" 1
fi
fi
# Check if a KDE session already is running and whether it's possible to connect to X
kcheckrunning
kcheckrunning_result=$?
if test $kcheckrunning_result -eq 0 ; then
echo "KDE seems to be already running on this display."
xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
exit 1
elif test $kcheckrunning_result -eq 2 ; then
echo "\$DISPLAY is not set or cannot connect to the X server."
exit 1
fi
if [ "$MDV_MENU_STYLE" = "upstream" ]; then
if [ -z "$XDG_CONFIG_DIRS" ]; then
export XDG_CONFIG_DIRS="/etc/xdg/kde4:/etc/xdg"
else
export XDG_CONFIG_DIRS="/etc/xdg/kde4:$XDG_CONFIG_DIRS"
fi
else
if [ -z "$XDG_CONFIG_DIRS" ]; then
export XDG_CONFIG_DIRS="/etc/xdg:/etc/xdg/kde4"
XDG_MENU_PREFIX=kde-
export XDG_MENU_PREFIX=kde-
else
export XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:/etc/xdg/kde4"
XDG_MENU_PREFIX=kde-
export XDG_MENU_PREFIX=kde-
fi
fi
# Set the background to plain grey.
# The standard X background is nasty, causing moire effects and exploding
# people's heads. We use colours from the standard KDE palette for those with
# palettised displays.
if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
xsetroot -solid "#000000"
fi
# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
unset DYLD_FORCE_FLAT_NAMESPACE
# in case we have been started with full pathname spec without being in PATH
bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
if [ -n "$bindir" ]; then
qbindir=`$bindir/kde4-config --qt-binaries`
if [ -n "$qbindir" ]; then
case $PATH in
$qbindir|$qbindir:*|*:$qbindir|*:$qbindir:*) ;;
*) PATH=$qbindir:$PATH; export PATH;;
esac
fi
case $PATH in
$bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
*) PATH=$bindir:$PATH; export PATH;;
esac
fi
# Boot sequence:
#
# kdeinit is used to fork off processes which improves memory usage
# and startup time.
#
# * kdeinit starts klauncher first.
# * Then kded is started. kded is responsible for keeping the sycoca
# database up to date. When an up to date database is present it goes
# into the background and the startup continues.
# * Then kdeinit starts kcminit. kcminit performs initialisation of
# certain devices according to the user's settings
#
# * Then ksmserver is started which takes control of the rest of the startup sequence
# The user's personal KDE directory is usually ~/.kde, but this setting
# may be overridden by setting KDEHOME.
kdehome=$HOME/.kde4
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^~/,$HOME/,"`
# see kstartupconfig source for usage
mkdir -m 700 -p $kdehome
mkdir -m 700 -p $kdehome/share
mkdir -m 700 -p $kdehome/share/config
cat >$kdehome/share/config/startupconfigkeys <<EOF
kcminputrc Mouse cursorTheme ''
kcminputrc Mouse cursorSize ''
ksplashrc KSplash Theme Default
ksplashrc KSplash Engine KSplashX
kcmrandrrc Display ApplyOnStartup false
kcmrandrrc [Screen0]
kcmrandrrc [Screen1]
kcmrandrrc [Screen2]
kcmrandrrc [Screen3]
kcmfonts General forceFontDPI 0
kdeglobals Locale Language '' # trigger requesting languages from KLocale
EOF
kstartupconfig4
returncode=$?
if test $returncode -ne 0; then
xmessage -geometry 500x100 "kstartupconfig4 does not exist or fails. The error code is $returncode. Check your installation."
exit 1
fi
[ -r $kdehome/share/config/startupconfig ] && . $kdehome/share/config/startupconfig
# XCursor mouse theme needs to be applied here to work even for kded or ksmserver
if test -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ; then
kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
if test $? -eq 10; then
XCURSOR_THEME=default
export XCURSOR_THEME
elif test -n "$kcminputrc_mouse_cursortheme"; then
XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
export XCURSOR_THEME
fi
if test -n "$kcminputrc_mouse_cursorsize"; then
XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
export XCURSOR_SIZE
fi
fi
if test "$kcmrandrrc_display_applyonstartup" = "true"; then
# 4 screens is hopefully enough
for scrn in 0 1 2 3; do
args=
width="\$kcmrandrrc_screen${scrn}_width" ; eval "width=$width"
height="\$kcmrandrrc_screen${scrn}_height" ; eval "height=$height"
if test -n "${width}" -a -n "${height}"; then
args="$args -s ${width}x${height}"
fi
refresh="\$kcmrandrrc_screen${scrn}_refresh" ; eval "refresh=$refresh"
if test -n "${refresh}"; then
args="$args -r ${refresh}"
fi
rotation="\$kcmrandrrc_screen${scrn}_rotation" ; eval "rotation=$rotation"
if test -n "${rotation}"; then
case "${rotation}" in
0)
args="$args -o 0"
;;
90)
args="$args -o 1"
;;
180)
args="$args -o 2"
;;
270)
args="$args -o 3"
;;
esac
fi
reflectx="\$kcmrandrrc_screen${scrn}_reflectx" ; eval "reflectx=$reflectx"
if test "${refrectx}" = "true"; then
args="$args -x"
fi
reflecty="\$kcmrandrrc_screen${scrn}_reflecty" ; eval "reflecty=$reflecty"
if test "${refrecty}" = "true"; then
args="$args -y"
fi
if test -n "$args"; then
xrandr $args
fi
done
fi
if test "$kcmfonts_general_forcefontdpi" -eq 120; then
xrdb -quiet -merge -nocpp <<EOF
Xft.dpi: 120
EOF
elif test "$kcmfonts_general_forcefontdpi" -eq 96; then
xrdb -quiet -merge -nocpp <<EOF
Xft.dpi: 96
EOF
fi
dl=$DESKTOP_LOCKED
unset DESKTOP_LOCKED # Don't want it in the environment
ksplash_pid=
if test -z "$dl"; then
# languages as resolved by KLocale, for the splash screens use
# klocale_languages is assembled by kdostartupconfig4 calling KLocale
KLOCALE_LANGUAGES="$klocale_languages"
export KLOCALE_LANGUAGES
# the splashscreen and progress indicator
case "$ksplashrc_ksplash_engine" in
kde4-splash-mdv)
ksplash_pid=`kde4-splash-mdv --pid`
;;
KSplashX)
ksplash_pid=`ksplashx "${ksplashrc_ksplash_theme}" --pid`
;;
None)
;;
Simple)
ksplash_pid=`ksplashsimple "${ksplashrc_ksplash_theme}" --pid`
;;
*)
;;
esac
# no longer needed in the environment
unset KLOCALE_LANGUAGES
fi
# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
#
# This is where you can define environment variables that will be available to
# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
# or eval `gpg-agent --daemon`.
# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
#
# (see end of this file).
# For anything else (that doesn't set env vars, or that needs a window manager),
# better use the Autostart folder.
libpath=`kde4-config --path lib | tr : '\n'`
servicepath=`kde4-config --path services | tr : '\n'`
for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/env/,p'` `echo "$servicepath" | sed -n -e 's,/service.*,/env/,p'`; do
for file in "$prefix"*.sh; do
test -r "$file" && . "$file"
done
done
# Set the path for Qt plugins provided by KDE
if test -n "$QT_PLUGIN_PATH"; then
QT_PLUGIN_PATH="$QT_PLUGIN_PATH:`kde4-config --path qtplugins`"
else
QT_PLUGIN_PATH="`kde4-config --path qtplugins`"
fi
export QT_PLUGIN_PATH
# Activate the kde font directories.
#
# There are 4 directories that may be used for supplying fonts for KDE.
#
# There are two system directories. These belong to the administrator.
# There are two user directories, where the user may add her own fonts.
#
# The 'override' versions are for fonts that should come first in the list,
# i.e. if you have a font in your 'override' directory, it will be used in
# preference to any other.
#
# The preference order looks like this:
# user override, system override, X, user, system
#
# Where X is the original font database that was set up before this script
# runs.
usr_odir=$HOME/.fonts/kde-override
usr_fdir=$HOME/.fonts
if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`
sys_odir=$kdedirs_first/share/fonts/override
sys_fdir=$kdedirs_first/share/fonts
else
sys_odir=$KDEDIR/share/fonts/override
sys_fdir=$KDEDIR/share/fonts
fi
# We run mkfontdir on the user's font dirs (if we have permission) to pick
# up any new fonts they may have installed. If mkfontdir fails, we still
# add the user's dirs to the font path, as they might simply have been made
# read-only by the administrator, for whatever reason.
test -d "$sys_odir" && xset +fp "$sys_odir"
test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")
test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")
test -d "$sys_fdir" && xset fp+ "$sys_fdir"
# Ask X11 to rebuild its font list.
xset fp rehash
# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
# minutes until anything appears on the screen.
#
# If the user has overwritten fonts, the cursor font may be different now
# so don't move this up.
#
xsetroot -cursor_name left_ptr
# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap
if test -n "$GS_LIB" ; then
GS_LIB=$usr_fdir:$GS_LIB
export GS_LIB
else
GS_LIB=$usr_fdir
export GS_LIB
fi
lnusertemp=`kde4-config --path exe --locate lnusertemp`
if test -z "$lnusertemp"; then
# Startup error
echo 'startkde: ERROR: Could not locate lnusertemp in '`kde4-config --path exe` 1>&2
fi
# Link "tmp" "socket" and "cache" resources to directory in /tmp
# Creates:
# - a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.
# - a directory /tmp/ksocket-$USER and links $KDEHOME/socket-$HOSTNAME to it.
# - a directory /var/tmp/kdecache-$USER and links $KDEHOME/cache-$HOSTNAME to it.
# Note: temporary locations can be overriden through the KDETMP and KDEVARTMP
# environment variables
for resource in tmp cache socket; do
if "$lnusertemp" $resource >/dev/null; then
: # ok
else
echo 'startkde: Call to lnusertemp failed (temporary directories full?). Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
exit 1
fi
done
# In case of dcop sockets left by a previous session, cleanup
#dcopserver_shutdown
echo 'startkde: Starting up...' 1>&2
# Make sure that D-Bus is running
if test -z "$XDG_DATA_DIRS"; then
XDG_DATA_DIRS="`kde4-config --prefix`/share:/usr/share:/usr/local/share"
export XDG_DATA_DIRS
fi
# D-Bus autolaunch is broken
if test -z "$DBUS_SESSION_BUS_ADDRESS" ; then
eval `dbus-launch --sh-syntax --exit-with-session`
fi
if qdbus >/dev/null 2>/dev/null; then
: # ok
else
echo 'startkde: Could not start D-Bus. Can you call qdbus?' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
exit 1
fi
# Mark that full KDE session is running (e.g. Konqueror preloading works only
# with full KDE running). The KDE_FULL_SESSION property can be detected by
# any X client connected to the same X session, even if not launched
# directly from the KDE session but e.g. using "ssh -X", kdesu. $KDE_FULL_SESSION
# however guarantees that the application is launched in the same environment
# like the KDE session and that e.g. KDE utilities/libraries are available.
# KDE_FULL_SESSION property is also only available since KDE 3.5.5.
# The matching tests are:
# For $KDE_FULL_SESSION:
# if test -n "$KDE_FULL_SESSION"; then ... whatever
# For KDE_FULL_SESSION property:
# xprop -root | grep "^KDE_FULL_SESSION" >/dev/null 2>/dev/null
# if test $? -eq 0; then ... whatever
#
# Additionally there is (since KDE 3.5.7) $KDE_SESSION_UID with the uid
# of the user running the KDE session. It should be rarely needed (e.g.
# after sudo to prevent desktop-wide functionality in the new user's kded).
#
# Since KDE4 there is also KDE_SESSION_VERSION, containing the major version number.
# Note that this didn't exist in KDE3, which can be detected by its absense and
# the presence of KDE_FULL_SESSION.
#
KDE_FULL_SESSION=true
export KDE_FULL_SESSION
xprop -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
KDE_SESSION_VERSION=4
export KDE_SESSION_VERSION
xprop -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 4
KDE_SESSION_UID=`id -ru`
export KDE_SESSION_UID
# We set LD_BIND_NOW to increase the efficiency of kdeinit.
# kdeinit unsets this variable before loading applications.
# redirect to /dev/null to not DOS-attack the user's $HOME
STARTKDE_SILENT=false
if [ "$STARTKDE_SILENT" = "true" ]; then
LD_BIND_NOW=true KDE4_LIBEXEC_INSTALL_DIR/start_kdeinit_wrapper +kcminit_startup >/dev/null 2>&1
else
LD_BIND_NOW=true KDE4_LIBEXEC_INSTALL_DIR/start_kdeinit_wrapper +kcminit_startup
fi
if test $? -ne 0; then
# Startup error
echo 'startkde: Could not start kdeinit4. Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
xmessage -geometry 500x100 "Could not start kdeinit4. Check your installation."
exit 1
fi
# If the session should be locked from the start (locked autologin),
# lock now and do the rest of the KDE startup underneath the locker.
if test -n "$dl"; then
kwrapper4 kscreenlocker --forcelock &
# Give it some time for starting up. This is somewhat unclean; some
# notification would be better.
sleep 1
fi
# finally, give the session control to the session manager
# see kdebase/ksmserver for the description of the rest of the startup sequence
# if the KDEWM environment variable has been set, then it will be used as KDE's
# window manager instead of kwin.
# if KDEWM is not set, ksmserver will ensure kwin is started.
# kwrapper4 is used to reduce startup time and memory usage
# kwrapper4 does not return useful error codes such as the exit code of ksmserver.
# We only check for 255 which means that the ksmserver process could not be
# started, any problems thereafter, e.g. ksmserver failing to initialize,
# will remain undetected.
if [ "$STARTKDE_SILENT" = "true" ]; then
test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM" >/dev/null 2>&1
# redirect to /dev/null to not DOS-attack the user's $HOME directory
kwrapper4 ksmserver $KDEWM >/dev/null 2>&1
else
test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
kwrapper4 ksmserver $KDEWM
fi
if test $? -eq 255; then
# Startup error
echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
fi
# wait if there's any crashhandler shown
while qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
sleep 5
done
echo 'startkde: Shutting down...' 1>&2
# just in case
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
# Clean up
kdeinit4_shutdown
# KDE3 support
kde3 kdeinit_shutdown 2>/dev/null
kde3 dcopserver_shutdown --wait 2>/dev/null
echo 'startkde: Running shutdown scripts...' 1>&2
# Run scripts found in $KDEDIRS/shutdown
for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/shutdown/,p'`; do
for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
test -x "$prefix$file" && "$prefix$file"
done
done
unset KDE_FULL_SESSION
xprop -root -remove KDE_FULL_SESSION
unset KDE_SESSION_VERSION
xprop -root -remove KDE_SESSION_VERSION
unset KDE_SESSION_UID
echo 'startkde: Done.' 1>&2

103
systemsettings.desktop Normal file
View file

@ -0,0 +1,103 @@
[Desktop Entry]
Exec=systemsettings -caption "%c" %i
Icon=preferences-system
Type=Application
X-DocPath=systemsettings/index.html
X-KDE-StartupNotify=true
GenericName=Configure Your Desktop
GenericName[ar]=تهيئة سطح المكتب
GenericName[bn]= ি
GenericName[br]=Kefluniañ ho purev
GenericName[bs]=Podesite vaš desktop
GenericName[ca]=Configura el teu escriptori
GenericName[cs]=Nastavit vaše pracovní prostředí
GenericName[cy]=Ffurfweddu eich Bwrdd Gwaith
GenericName[da]=Konfigurér dit skrivebord
GenericName[de]=Die Arbeitsumgebung konfigurieren
GenericName[el]=Ρυθμίστε την επιφάνεια εργασίας σας
GenericName[es]=Configurar su escritorio
GenericName[et]=Töölaua seadistamine
GenericName[eu]=Konfiguratu Zure Idaztegia
GenericName[fa]=تنظیم رومیزی خود
GenericName[fi]=Aseta työpöytäsi
GenericName[fr]=Configurer votre bureau
GenericName[gl]=Configure o seu Escritorio
GenericName[he]=הגדרות שולחן העבודה שלך
GenericName[hu]=A munkaasztal beállítása
GenericName[id]=Konfigurasi Desktop Anda
GenericName[is]=Stilla skjáborðið þitt
GenericName[it]=Configura il tuo desktop
GenericName[ja]=
GenericName[ky]=Иш үстөлүн Конфигдөө
GenericName[mk]=Конфигурирајте ја површината
GenericName[nb]=Innstillinger for skrivebordet ditt
GenericName[nl]=Uw werkomgeving configureren
GenericName[nn]=Set opp skrivebordet
GenericName[pl]=Konfiguracja pulpitu
GenericName[pt]=Configure o Seu Ecrâ
GenericName[pt_BR]=Configurar sua sessão
GenericName[ru]=Настройка рабочего стола
GenericName[sc]=Assètia sa Scriania
GenericName[sk]=Nastavenie vašej pracovnej plochy
GenericName[sl]=Nastavite svoje namizje
GenericName[sv]=Anpassa skrivbordet
GenericName[tg]=Танзими Мизи Кории Худ
GenericName[th]=
GenericName[uk]=Налаштувати стільницю
GenericName[uz]=Иш столини мослаш
GenericName[uz@Latn]=Ish stolini moslash
GenericName[vi]=Cu hình desktop
GenericName[wa]=Apontyî vosse sicribanne
GenericName[zh_CN]=
GenericName[zh_TW]=
Name=Configure Your Desktop
Name[ar]=تهيئة سطح المكتب
Name[bn]= ি
Name[br]=Kefluniañ ho purev
Name[bs]=Podesite vaš desktop
Name[ca]=Configura el teu escriptori
Name[cs]=Nastavit vaše pracovní prostředí
Name[cy]=Ffurfweddu eich Bwrdd Gwaith
Name[da]=Konfigurér dit skrivebord
Name[de]=Die Arbeitsumgebung konfigurieren
Name[el]=Ρυθμίστε την επιφάνεια εργασίας σας
Name[es]=Configurar su escritorio
Name[et]=Töölaua seadistamine
Name[eu]=Konfiguratu Zure Idaztegia
Name[fa]=تنظیم رومیزی خود
Name[fi]=Aseta työpöytäsi
Name[fr]=Configurer votre bureau
Name[gl]=Configure o seu Escritorio
Name[he]=הגדרות שולחן העבודה שלך
Name[hu]=A munkaasztal beállítása
Name[id]=Konfigurasi Desktop Anda
Name[is]=Stilla skjáborðið þitt
Name[it]=Configura il tuo desktop
Name[ja]=
Name[ky]=Иш үстөлүн Конфигдөө
Name[mk]=Конфигурирајте ја површината
Name[nb]=Innstillinger for skrivebordet ditt
Name[nl]=Uw werkomgeving configureren
Name[nn]=Set opp skrivebordet
Name[pl]=Konfiguracja pulpitu
Name[pt]=Configure o Seu Ecrâ
Name[pt_BR]=Configurar sua sessão
Name[ru]=Настройка рабочего стола
Name[sc]=Assètia sa Scriania
Name[sk]=Nastavenie vašej pracovnej plochy
Name[sl]=Nastavite svoje namizje
Name[sv]=Anpassa skrivbordet
Name[tg]=Танзими Мизи Кории Худ
Name[th]=
Name[uk]=Налаштувати стільницю
Name[uz]=Иш столини мослаш
Name[uz@Latn]=Ish stolini moslash
Name[vi]=Cu hình desktop
Name[wa]=Apontyî vosse sicribanne
Name[zh_CN]=
Name[zh_TW]=
X-DBUS-StartupType=Unique
Categories=Qt;KDE;System;